### Method

# Json Node get_int

#### Declaration [src]

    gint64
    json_node_get_int (
      JsonNode* node
    )

#### Description [src]

Gets the integer value stored inside a node.

If the node holds a double value, its integer component is returned.

If the node holds a `FALSE` boolean value, `0` is returned; otherwise, a non-zero integer is returned.

If the node holds a `JSON_NODE_NULL` value or a value of another non-integer type, `0` is returned.

#### Return value

Type: `gint64`

An integer value.